package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdParametric;
import com.dhcc.finance.main.domain.CwBdParametricExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdParametricMapper {
    long countByExample(CwBdParametricExample example);

    int deleteByExample(CwBdParametricExample example);

    int deleteByPrimaryKey(String pkParametric);

    int insert(CwBdParametric record);

    int insertSelective(CwBdParametric record);

    List<CwBdParametric> selectByExample(CwBdParametricExample example);

    CwBdParametric selectByPrimaryKey(String pkParametric);

    int updateByExampleSelective(@Param("record") CwBdParametric record, @Param("example") CwBdParametricExample example);

    int updateByExample(@Param("record") CwBdParametric record, @Param("example") CwBdParametricExample example);

    int updateByPrimaryKeySelective(CwBdParametric record);

    int updateByPrimaryKey(CwBdParametric record);
    /**
     * 功能描述 通过编码获取参数配置信息
     * @param code
     * @return CwBdParametric
     * @author huangpeng
     * @date 2019年6月13日 下午3:20:54
     * 修改日志
     */
    CwBdParametric searchCwBdParametricByCode(String code);
}